--- old/usr/src/cmd/devfsadm/fssnap_link.c	2015-08-18 16:13:43.584263062 -0400
+++ new/usr/src/cmd/devfsadm/fssnap_link.c	2015-08-18 16:13:43.591727626 -0400
@@ -24,8 +24,6 @@
  * All rights reserved.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <regex.h>
 #include <devfsadm.h>
 #include <stdio.h>
@@ -33,6 +31,7 @@
 #include <stdlib.h>
 #include <limits.h>
 #include <sys/fssnap_if.h>
+#include <sys/mkdev.h>
 
 
 static int fssnap(di_minor_t minor, di_node_t node);
--- old/usr/src/cmd/fs.d/ufs/fsdb/fsdb.c	2015-08-18 16:13:43.741323013 -0400
+++ new/usr/src/cmd/fs.d/ufs/fsdb/fsdb.c	2015-08-18 16:13:43.747678485 -0400
@@ -52,6 +52,7 @@
 #include <sys/file.h>
 #include <inttypes.h>
 #include <sys/sysmacros.h>
+#include <sys/mkdev.h>
 
 #ifdef sun
 #include <unistd.h>
--- old/usr/src/cmd/fuser/fuser.c	2015-08-18 16:13:44.032374444 -0400
+++ new/usr/src/cmd/fuser/fuser.c	2015-08-18 16:13:44.037542115 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -48,6 +46,7 @@
 #include <sys/types.h>
 #include <sys/utssys.h>
 #include <sys/var.h>
+#include <sys/mkdev.h>
 
 /*
  * Command line options for fuser command. Mutually exclusive.
--- old/usr/src/cmd/sendmail/src/queue.c	2015-08-18 16:13:44.190461188 -0400
+++ new/usr/src/cmd/sendmail/src/queue.c	2015-08-18 16:13:44.196275883 -0400
@@ -16,6 +16,8 @@
 
 SM_RCSID("@(#)$Id: queue.c,v 8.987 2009/12/18 17:08:01 ca Exp $")
 
+#include <sys/types.h>
+#include <sys/mkdev.h>
 #include <dirent.h>
 
 # define RELEASE_QUEUE	(void) 0
--- old/usr/src/cmd/sendmail/src/util.c	2015-08-18 16:13:44.562920528 -0400
+++ new/usr/src/cmd/sendmail/src/util.c	2015-08-18 16:13:44.568306883 -0400
@@ -18,6 +18,8 @@
 #include <sm/sendmail.h>
 #include <sysexits.h>
 #include <sm/xtrap.h>
+#include <sys/types.h>
+#include <sys/mkdev.h>
 
 /*
 **  NEWSTR -- Create a copy of a C string
--- old/usr/src/lib/brand/solaris10/s10_brand/common/s10_brand.c	2015-08-18 16:13:44.781629880 -0400
+++ new/usr/src/lib/brand/solaris10/s10_brand/common/s10_brand.c	2015-08-18 16:13:44.787035712 -0400
@@ -58,6 +58,7 @@
 #include <sys/mnttab.h>
 #include <sys/attr.h>
 #include <sys/lofi.h>
+#include <sys/mkdev.h>
 #include <atomic.h>
 #include <sys/acl.h>
 #include <sys/socket.h>
--- old/usr/src/uts/common/sys/mkdev.h	2015-08-18 16:13:44.982141108 -0400
+++ new/usr/src/uts/common/sys/mkdev.h	2015-08-18 16:13:44.987276078 -0400
@@ -77,13 +77,6 @@
 
 #if !defined(_KERNEL)
 
-/*
- * Undefine sysmacros.h device macros.
- */
-#undef makedev
-#undef major
-#undef minor
-
 extern dev_t makedev(const major_t, const minor_t);
 extern major_t major(const dev_t);
 extern minor_t minor(const dev_t);
--- old/usr/src/uts/common/sys/sysmacros.h	2015-08-18 16:13:45.130867933 -0400
+++ new/usr/src/uts/common/sys/sysmacros.h	2015-08-18 16:13:45.136054327 -0400
@@ -83,9 +83,7 @@
  * should make use of the library routines available in makedev(3). A set of
  * new device macros are provided to operate on the expanded device number
  * format supported in SVR4. Macro versions of the DDI device functions are
- * provided for use by kernel proper routines only. Macro routines bmajor(),
- * major(), minor(), emajor(), eminor(), and makedev() will be removed or
- * their definitions changed at the next major release following SVR4.
+ * provided for use by kernel proper routines only.
  */
 
 #define	O_BITSMAJOR	7	/* # of SVR3 major device bits */
@@ -115,56 +113,20 @@
 
 #ifdef _KERNEL
 
-/* major part of a device internal to the kernel */
-
-#define	major(x)	(major_t)((((unsigned)(x)) >> O_BITSMINOR) & O_MAXMAJ)
-#define	bmajor(x)	(major_t)((((unsigned)(x)) >> O_BITSMINOR) & O_MAXMAJ)
-
 /* get internal major part of expanded device number */
 
 #define	getmajor(x)	(major_t)((((dev_t)(x)) >> L_BITSMINOR) & L_MAXMAJ)
 
-/* minor part of a device internal to the kernel */
-
-#define	minor(x)	(minor_t)((x) & O_MAXMIN)
-
 /* get internal minor part of expanded device number */
 
 #define	getminor(x)	(minor_t)((x) & L_MAXMIN)
 
-#else	/* _KERNEL */
-
-/* major part of a device external from the kernel (same as emajor below) */
-
-#define	major(x)	(major_t)((((unsigned)(x)) >> O_BITSMINOR) & O_MAXMAJ)
-
-/* minor part of a device external from the kernel  (same as eminor below) */
-
-#define	minor(x)	(minor_t)((x) & O_MAXMIN)
-
 #endif	/* _KERNEL */
 
-/* create old device number */
-
-#define	makedev(x, y) (unsigned short)(((x) << O_BITSMINOR) | ((y) & O_MAXMIN))
-
 /* make an new device number */
 
 #define	makedevice(x, y) (dev_t)(((dev_t)(x) << L_BITSMINOR) | ((y) & L_MAXMIN))
 
-
-/*
- * emajor() allows kernel/driver code to print external major numbers
- * eminor() allows kernel/driver code to print external minor numbers
- */
-
-#define	emajor(x) \
-	(major_t)(((unsigned int)(x) >> O_BITSMINOR) > O_MAXMAJ) ? \
-	    NODEV : (((unsigned int)(x) >> O_BITSMINOR) & O_MAXMAJ)
-
-#define	eminor(x) \
-	(minor_t)((x) & O_MAXMIN)
-
 /*
  * get external major and minor device
  * components from expanded device number
